%define name pclinuxos-gnome-theme
%define version 1.3.0
%define release %mkrel 1

Summary: Default Plymouth Gnome Theme for PCLinuxOS 2010.10
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Graphics
URL: http://linuxgator.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires(pre): plymouth
Requires(pre): bootsplash
Provides: pclinuxos-theme = %{version}-%{release}
Conflicts: pclinuxos-theme < %{version}-%{release}

%description
This package contains the PCLinuxOS Gnome plymouth theme with its
images and configuration for different resolution as well as
the the desktop background image.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%_datadir/plymouth/themes/PCLinuxOS
install -m 0644 PCLinuxOS.plymouth animation.png background.png box.png bullet.png entry.png lock.png logo.png motif.png pclinuxos.script progress_bar.png progress_box.png progress_box_background.png progress_box_edge.png suspend.png %{buildroot}%_datadir/plymouth/themes/PCLinuxOS

mkdir -p %{buildroot}%_datadir/pixmaps/backgrounds/gnome
install -m 0644 backgrounds/background-default.jpg %{buildroot}%_datadir/pixmaps/backgrounds/gnome

mkdir -p %{buildroot}%_datadir/mdk/backgrounds
install -m 0644 backgrounds/background-pclos.png backgrounds/NeonBars-blue.jpg backgrounds/pclos-gnome-5.png %{buildroot}%_datadir/mdk/backgrounds

mkdir -p %{buildroot}%_datadir/libDrakX/pixmaps
install -m 0644 libDrakX/* %{buildroot}%_datadir/libDrakX/pixmaps

mkdir -p %{buildroot}%_datadir/pixmaps/faces
mkdir -p %{buildroot}%_datadir/mdk/faces
install -m 0644 faces/* %{buildroot}%_datadir/pixmaps/faces
install -m 0644 faces/* %{buildroot}%_datadir/mdk/faces

%clean
rm -rf $RPM_BUILD_ROOT


%pre
/usr/share/bootsplash/scripts/remove-theme

%post
/usr/sbin/plymouth-set-default-theme PCLinuxOS
/usr/share/bootsplash/scripts/switch-themes PCLinuxOS

%postun
/usr/sbin/plymouth-set-default-theme text
/usr/share/bootsplash/scripts/switch-themes text


%files
%defattr(-,root,root)
%_datadir/plymouth/themes/PCLinuxOS
%_datadir/libDrakX/pixmaps
%_datadir/pixmaps/backgrounds/gnome
%_datadir/pixmaps/faces
%_datadir/mdk/backgrounds
%_datadir/mdk/faces

%changelog
* Tue Nov 02 2010 Slax <root at linuxgator.org> 1.3.0-1pclos2010
- updated plymouth theme + added several wallpapers + libdrakx black theme

* Wed Feb 10 2010 Texstar <texstar at gmail.com> 1.2.0-1pclos2010
- create package

